ConfigureInterface()
{
	// blue interface elements
	DefineColorGroup("GreenT")
	{
		// unselected, unhighlit
		Foreground(0, 71, 213, 0, 255);
		Background(0, 0, 127, 255, 160);
		Gradient(0, 0, 63, 127, 160);

		// selected, unhighlit
		Foreground(1, 71, 213, 0, 255);
		Background(1, 255, 0, 127, 160);
		Gradient(1, 127, 0, 63, 160);

		// unselected, highlit
		Foreground(2, 71, 213, 0, 255);
		Background(2, 127, 191, 255, 160);
		Gradient(2, 63, 95, 127, 160);

		// selected, highlit
		Foreground(3, 71, 213, 0, 255);
		Background(3, 255, 127, 191, 160);
		Gradient(3, 127, 63, 95, 160);
	}
}

CreateControl("Scroll", "WINDOW")
{
	Geom("HCENTRE", "VCENTRE");
	Size(640, 480);
	ColorGroup("LISTBOX");
	Style("INERT");

	CreateControl("TestTicker1", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 0);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(10);
		AddText("10101011010000101010", "right");
	}
	CreateControl("TestTicker2", "TICKER")
	{
	//	ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Style("Transparent");
		Position(0, 20);
		Size(640, 20);
		Font("LARGE");
		Speed(1);
		AddText("BattleStrat Z", "right");
	}

	CreateControl("TestTicker4", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 40);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(3);
		AddText("Battlestrat", "left");
	}

	CreateControl("TestTicker5", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 60);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(2);
		AddText("Battlestrat", "left");
	}

	CreateControl("TestTicker6", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 80);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(15);
		AddText("10101011010000101010", "right");
	}

	CreateControl("TestTicker7", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 100);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(6);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker8", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 120);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(20);
		AddText("011010100101001000011", "right");
	}

	CreateControl("TestTicker9", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 140);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(30);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker10", "TICKER")
	{
		Geometry("TOP", "HCENTRE");
		ColorGroup("GreenT");
		Position(0, 160);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(5);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker11", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 180);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(12);
		AddText("111001010110100101001", "left");
	}

	CreateControl("TestTicker12", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 200);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(8);
		AddText("011010100101001000011", "right");
	}

	CreateControl("TestTicker13", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 220);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(11);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker14", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 240);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(18);
		AddText("101010010111000101010", "left");
	}

	CreateControl("TestTicker15", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 260);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(9);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker16", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 280);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(16);
		AddText("10100101001011000001", "left");
	}

	CreateControl("TestTicker17", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 300);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(10);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker18", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 320);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(8);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker19", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 340);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(13);
		AddText("10100101001010000110", "right");
	}

	CreateControl("TestTicker20", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 360);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(15);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker21", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 380);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(9);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker22", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 400);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(20);
		AddText("011010100101001000011", "right");
	}

	CreateControl("TestTicker23", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 420);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(4);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker24", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 440);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(10);
		AddText("011010100101001000011", "left");
	}

	CreateControl("TestTicker25", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 460);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(15);
		AddText("101001010001010100100", "right");
	}

	CreateControl("TestTicker26", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "HCENTRE");
		Position(0, 480);
		Size(640, 20);
		Style("Transparent");
		Font("System");
		Speed(13);
		AddText("101001010001010100100", "right");
	}

	CreateControl("TestTickerv1", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "LEFT");
		Position(0, 0);
		Size(160, 970);
		Style("Transparent");
		Font("System");
		Speed(9);
		AddText("10101010101001010010101", "down");
	}

	CreateControl("TestTickerv2", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "LEFT");
		Position(160, 0);
		Size(160, 970);
		Style("Transparent");
		Font("System");
		Speed(15);
		AddText("101010100111110001100101", "down");
	}

	CreateControl("TestTickerv3", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "LEFT");
		Position(320, 0);
		Size(160, 970);
		Style("Transparent");
		Font("System");
		Speed(30);
		AddText("01001001110100101010101000", "down");
	}

	CreateControl("TestTickerv4", "TICKER")
	{
		ColorGroup("GreenT");
		Geometry("TOP", "LEFT");
		Position(480, 0);
		Size(160, 970);
		Style("Transparent");
		Font("System");
		Speed(6);
		AddText("111010101011010110101010101", "down");
	}

	OnEvent("Control::Activate")
	{
	}

	OnEvent("Control::Deactivate")
	{
	}
}